LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XVndSunStarPkgUrlReferenceFactory Interface Referencepublished

creates “vnd.sun.star.pkg” URL references. More...

`import"XVndSunStarPkgUrlReferenceFactory.idl";`

Inheritance diagram for XVndSunStarPkgUrlReferenceFactory:

## Public Member Functions
XUriReference | createVndSunStarPkgUrlReference ([in] XUriReference authority)
| creates a new “vnd.sun.star.pkg” URL reference. More...

## Detailed Description

creates “vnd.sun.star.pkg” URL references.

Since
  OOo 2.0

## Member Function Documentation

## ◆ createVndSunStarPkgUrlReference()

XUriReference createVndSunStarPkgUrlReference | ( | [in] XUriReference | authority | ) |

creates a new “vnd.sun.star.pkg” URL reference.

The returned URL reference has the given authority, an empty path, and no fragment.

Parameters

  authority | the authority of the created URL reference; must not be `NULL`, and should be an absolute URI reference with no fragment

Returns
  a new “vnd.sun.star.pkg” URL reference, or `NULL` if the given authority is either not an absolute URI reference or has a fragment

The documentation for this interface was generated from the following file:

- com/sun/star/uri/XVndSunStarPkgUrlReferenceFactory.idl